cgCreateEffectParameterMultiDimArray(3)

NAME
cgCreateEffectParameterMultiDimArray - create a multi-dimensional array in an effect

SYNOPSIS
  #include <Cg/cg.h>
  CGparameter cgCreateEffectParameterMultiDimArray( CGeffect effect,
                                                    const char * name,
                                                    CGtype type,
                                                    int dim,
                                                    const int * lengths );

PARAMETERS

effect
    The effect to which the new parameter will be added.

name
    The name of the new parameter.

type
    The type of the new parameter.

dim The dimension of the array.

lengths
    The sizes for each dimension of the array.

RETURN VALUES
Returns the handle of the new parameter on success.

Returns NULL if an error occurs.

DESCRIPTION
cgCreateEffectParameterMultiDimArray adds a new multidimensional array parameter to the specified effect.

EXAMPLES
  CGeffect effect = cgCreateEffect( ... );
  int lengths[] = {2,2};
  CGparameter array = cgCreateEffectParameterMultiDimArray(effect, "myFloatMultiArray", CG_FLOAT, 2, lengths);

ERRORS
CG_INVALID_EFFECT_HANDLE_ERROR is generated if effect is not a valid effect.

CG_INVALID_VALUE_TYPE_ERROR is generated if type is invalid.

HISTORY
cgCreateEffectParameterMultiDimArray was introduced in Cg 1.5.

SEE ALSO
the cgCreateEffectParameter manpage, the cgCreateEffectParameterArray manpage